<script setup>
    import { Link } from '~/adapters/link.js';

    const link_list = [
        new Link("/images/facebook.svg", "Facebook"),
        new Link("/images/orange_instagram.svg", "Instagram"),
        new Link("/images/www.svg", "Site"),
        new Link("/images/contact.svg", "Contact"),
        new Link("/images/link.svg", "Autre")
    ];
    const emit = defineEmits(["link"]);

    function emitLink(link) {
        emit("link", link);
    }

</script>
<template>
    <div class="w-full flex flex-col space-y-2 bg-white">
        <div v-for="link in link_list" @click="emitLink(link)" class="flex flex-row space-x-2 items-center hover:cursor-pointer hover:bg-orange-100">
            <img :src="link.image" class="w-[20px] h-[20px]">
            <span>{{ link.text }}</span>
        </div>
    </div>
</template>